Valorant API Unofficial docs
API Reference Mailbox
DELETE

Delete Mail

Delete a single mail by its ID. The mail no longer shows up in the Mailbox endpoint afterwards.

Server pp.sgp.pvp.net Auth Bearer
DELETE https://{cluster}.pp.sgp.pvp.net/mailbox/v1/{puuid}/mail/{mail id}
Try this request in the browser with your own values

Headers

Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

cluster enum required

euc1, usw2, apse1 or apne1: the SGP cluster for the region.

euc1usw2apse1apne1
How to get it

There are 4 SGP clusters:

Cluster ID Region
euc1 Europe
usw2 North America / Brazil / LATAM / PBE
apse1 Asia Pacific / Oceania
apne1 Japan / Korea

puuid string · uuid required

Player UUID

mail id string · uuid required

The ID of the mail, obtained from the Mailbox endpoint

Other variables

auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication